Bug 520735 - setroubleshoot: SELinux is preventing modem-manager "create" access on <Unknown>.
Summary: setroubleshoot: SELinux is preventing modem-manager "create" access on &...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:94d81849052...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 03:56 UTC by Jerry Amundson
Modified: 2018-04-11 15:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 11:27:30 UTC


Attachments (Terms of Use)

Description Jerry Amundson 2009-09-02 03:56:26 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing modem-manager "create" access on <Unknown>.

Detailed Description:

[modem-manager has a permissive type (initrc_t). This access was not denied.]

SELinux denied access requested by modem-manager. It is not expected that this
access is required by modem-manager and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:system_r:initrc_t:s0-s0:c0.c1023
Target Context                system_u:system_r:initrc_t:s0-s0:c0.c1023
Target Objects                None [ netlink_kobject_uevent_socket ]
Source                        modem-manager
Source Path                   /usr/sbin/modem-manager
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ModemManager-0.2-3.20090826.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.30-1.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-0.190.rc8.fc12.i686 #1 SMP Fri
                              Aug 28 19:07:13 EDT 2009 i686 i686
Alert Count                   2
First Seen                    Tue 01 Sep 2009 08:04:55 PM CDT
Last Seen                     Tue 01 Sep 2009 09:46:19 PM CDT
Local ID                      86f12159-029e-40dc-9710-c50b79c05e8a
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1251859579.79:6): avc:  denied  { create } for  pid=1074 comm="modem-manager" scontext=system_u:system_r:initrc_t:s0-s0:c0.c1023 tcontext=system_u:system_r:initrc_t:s0-s0:c0.c1023 tclass=netlink_kobject_uevent_socket

node=(removed) type=SYSCALL msg=audit(1251859579.79:6): arch=40000003 syscall=102 success=yes exit=6 a0=1 a1=bffc5300 a2=8380fc a3=2 items=0 ppid=1 pid=1074 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="modem-manager" exe="/usr/sbin/modem-manager" subj=system_u:system_r:initrc_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= initrc_t ==============
allow initrc_t self:netlink_kobject_uevent_socket create;

Comment 1 Miroslav Grepl 2009-09-03 08:43:55 UTC
What is your output of the commands:

# ls -Z /usr/sbin/modem-manager /usr/libexec/rtkit-daemon


# matchpathcon /usr/sbin/modem-manager /usr/libexec/rtkit-daemon

Comment 2 Matěj Cepl 2009-09-03 09:31:32 UTC
bradford:~$ sudo -i
[sudo] password for root: 
bradford:~# ls -Z /usr/sbin/modem-manager /usr/libexec/rtkit-daemon
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       /usr/libexec/rtkit-daemon
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       /usr/sbin/modem-manager
bradford:~# /sbin/matchpathcon /usr/sbin/modem-manager /usr/libexec/rtkit-daemon  
/usr/sbin/modem-manager	system_u:object_r:ModemManager_exec_t:s0
/usr/libexec/rtkit-daemon	system_u:object_r:rtkit_daemon_exec_t:s0
bradford:~#

Comment 3 Jerry Amundson 2009-09-05 06:40:22 UTC
$ ls -Z /usr/sbin/modem-manager /usr/libexec/rtkit-daemon; echo ----; matchpathcon /usr/sbin/modem-manager /usr/libexec/rtkit-daemon
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       /usr/libexec/rtkit-daemon
-rwxr-xr-x. root root system_u:object_r:bin_t:s0       /usr/sbin/modem-manager
----
/usr/sbin/modem-manager	system_u:object_r:ModemManager_exec_t:s0
/usr/libexec/rtkit-daemon	system_u:object_r:rtkit_daemon_exec_t:s0

Comment 4 Daniel Walsh 2009-09-08 11:27:30 UTC
restorecon -R -v /usr/sbin /usr/libexec

Labeling was screwed up on one of the upgrades in rawhide.


Note You need to log in before you can comment on or make changes to this bug.